Bug 1305575 - [RFE] Python SDK 4.0 - make boot device syntax more pythonic
[RFE] Python SDK 4.0 - make boot device syntax more pythonic
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-sdk-python
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.0-alpha
: 4.0.0a
Assigned To: Juan Hernández
Lukas Svaty
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 10:45 EST by Sandro Bonazzola
Modified: 2016-07-26 06:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-26 06:57:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
pnovotny: testing_plan_complete-
mgoldboi: planning_ack+
juan.hernandez: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Sandro Bonazzola 2016-02-08 10:45:53 EST
Description of problem:
In 3.6:

params.OperatingSystem(
    type_='unassigned',
    boot=(
        params.Boot(dev='cdrom'),
        params.Boot(dev='hd'),
    ),
)

now translates to

params.OperatingSystem(
    type_='unassigned',
    boot=params.Boot(
        devices=params.devicesType(
            device=[
                'cdrom',
                'hd',
            ],
       ),
    )
)

while I would have expected something like:

params.OperatingSystem(
    type_='unassigned',
    boot=params.Boot(
        devices=['cdrom', 'hd'],
    )
)

to just store a list of strings.
Comment 1 Juan Hernández 2016-03-31 12:27:44 EDT
In version 4 of the SDK it works like this:

  import ovirtsdk4.types as types

  types.OperatingSystem(
    type='unassigned',
    boot=types.Boot(
      devices=[
        types.BootDevice.NETWORK,
        types.BootDevice.HD,
      ],
    ),
  ),
Comment 2 Lukas Svaty 2016-07-26 06:57:31 EDT
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA

Note You need to log in before you can comment on or make changes to this bug.